/// <reference types="react" />
type UseFullScreenDrawerParamsType = {
    isShow?: boolean;
    onDismissCallback?: () => void;
    shouldShowCloseWarning?: boolean;
};
export declare function useFullScreenDrawer({ isShow, onDismissCallback, shouldShowCloseWarning, }?: UseFullScreenDrawerParamsType): {
    show: boolean;
    setShow: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    onDismiss: () => void;
    showCloseWarning: boolean;
    setShowCloseWarning: import("react").Dispatch<import("react").SetStateAction<boolean>>;
};
export {};
